POST api/EtaWebsiteServices/DeleteHoliday

Request Information

URI Parameters

None.

Body Parameters

Holiday
NameDescriptionTypeAdditional information
HolidayId

integer

None.

IsFixed

boolean

None.

Date

date

None.

ObjectState

ObjectState

None.

Request Formats

application/json, text/json

Sample:
{
  "holidayId": 1,
  "isFixed": true,
  "date": "2026-09-23T10:26:52.7102388+00:00",
  "objectState": 0
}

application/xml, text/xml

Sample:
<Holiday xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Gruo.Core.Models">
  <ObjectState xmlns="http://schemas.datacontract.org/2004/07/Gruo.Core.Repository">Unchanged</ObjectState>
  <Date>2026-09-23T10:26:52.7102388+00:00</Date>
  <HolidayId>1</HolidayId>
  <IsFixed>true</IsFixed>
</Holiday>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

string

Response Formats

application/json, text/json

Sample:
"sample string 1"

application/xml, text/xml

Sample:
<string xmlns="http://schemas.microsoft.com/2003/10/Serialization/">sample string 1</string>